import 'package:ambito/main.dart';
import 'package:ambito/src/entity/_general/filter/item_filter_repository.dart';
import 'package:flutter/cupertino.dart';

AmbitoFilterNotifier ambitoFilterNotifier = AmbitoFilterNotifier();

class AmbitoFilterNotifier extends ChangeNotifier {
  AmbitoFilterNotifier();

  AmbitoFilterNotifier.create(BuildContext context);

  Map<String, String?> activeFilters = {};
  Map<String, List<dynamic>?> activeIds = {};

  List<int> mergedIds = [];

  void setFilter(String type, String value) {
    prefs.setString('filter_$type', value).then((_) {
      activeFilters[type] = value;
      activeIds[type] = ItemFilterRepository().getIdsByType(type);
      notifyListeners();
    });
  }

  void removeFilter(String type) {
    prefs.remove('filter_$type').then((_) {
      activeFilters[type] = null;
      activeIds[type] = null;
      notifyListeners();
    });
  }

  List<int>? getMergedIds() {}

  String? getFilter(String type) {
    return activeFilters[type];
  }
}
