import 'package:ambito/src/extensions/extensions.dart';
import 'package:flutter/material.dart';

import '../../../../main.dart';
import '../../../entity/entities.dart';

class BackgroundCard extends StatelessWidget {
  const BackgroundCard({super.key, required this.massnahme});

  final Measure massnahme;

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: double.infinity,
      child: Card(
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(0),
        ),
        elevation: 0,
        color: baseTheme.currentColorScheme.secondary,
        child: Padding(
          padding: const EdgeInsets.all(16),
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Text(
                context.translate('page.actionDetailPage.background.title'),
                style: baseTheme.currentThemeData.textTheme.titleMedium,
              ),
              baseTheme.verticalSpacer,
              Text(
                context.translate('page.actionDetailPage.background.areaType'),
                style: baseTheme.currentThemeData.textTheme.titleSmall,
              ),
              baseTheme.verticalSpacerSmall,
              Text(
                massnahme.factsheetLocation.toString(),
                style: baseTheme.currentThemeData.textTheme.bodyMedium,
              ),
              baseTheme.verticalSpacer,
              Text(
                context.translate('page.actionDetailPage.background.target'),
                style: baseTheme.currentThemeData.textTheme.titleSmall,
              ),
              baseTheme.verticalSpacerSmall,
              Text(
                massnahme.factsheetTarget.toString(),
                style: baseTheme.currentThemeData.textTheme.bodyMedium,
              ),
            ],
          ),
        ),
      ),
    );
  }
}
