import 'package:ambito/main.dart';
import 'package:ambito/src/extensions/extensions.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

class AmbitoAppbar extends AppBar {
  AmbitoAppbar({super.key, List<String>? links})
      : super(
          automaticallyImplyLeading: false,
          leading: Padding(
            padding: const EdgeInsets.all(8),
            child: Hero(
              tag: 'logo',
              child: GestureDetector(
                onTap: () {
                  Get.toNamed('/');
                },
                child: Image.asset(
                  'assets/images/logo_trans.png',
                ),
              ),
            ),
          ),
          leadingWidth: 80,
          centerTitle: true,
          title: Builder(
            builder: (context) => _links(context, links),
          ),
          toolbarHeight: 80,
          backgroundColor: baseTheme.currentColorScheme.primaryContainer,
          actions: [
            IconButton(
              onPressed: () {
                Get.toNamed('/kalender/jahr');
              },
              icon: Icon(
                Icons.calendar_view_month,
                color: baseTheme.currentColorScheme.primary,
              ),
            ),
            IconButton(
              onPressed: () {
                Get.toNamed('/kalender');
              },
              icon: Icon(
                Icons.calendar_month,
                color: baseTheme.currentColorScheme.primary,
              ),
            ),
            IconButton(
              onPressed: () {},
              icon: Icon(
                Icons.person,
                color: baseTheme.currentColorScheme.primary,
              ),
            ),
            const SizedBox(
              width: 30,
            )
          ],
        );

  static Widget _links(BuildContext context, List<String>? links) {
    List<Widget> linkButtons = [];
    if (links != null && links.isNotEmpty) {
      for (String link in links) {
        linkButtons.add(_linkButton(context, link));
      }
    }
    return Row(
      mainAxisAlignment: MainAxisAlignment.center,
      children: linkButtons,
    );
  }

  static Widget _linkButton(BuildContext context, String link) {
    double fontSize = 20;
    return TextButton(
      style: ButtonStyle(
        overlayColor:
            WidgetStateProperty.resolveWith<Color>((Set<WidgetState> states) {
          return Colors.transparent;
        }),
      ),
      onPressed: () {
        Get.offAndToNamed('/$link');
      },
      child: Text(
        context.translate('page.start.links.$link.title'),
        style: TextStyle(
          fontSize: fontSize,
          fontWeight: FontWeight.bold,
          //color: (activeLink == link) ? Colors.grey.shade800 : Colors.black,
        ),
      ),
    );
  }
}
